IP address Management (IPAM)
This guide outlines how to manage and configure subnets within the Fabric Manager.
Subnet Types Overview
Section titled “Subnet Types Overview”| Subnet Type | Purpose | Location in Fabric Manager |
|---|---|---|
| In-Band | Used for applying IP addresses to the in-band NICs in the Operating System. | Subnets (In-Band) |
| OOB | Used for registering servers (BMC IP addresses) and switches (Management IP addresses). | Subnets (OOB) |
Note: OOB IP addresses are set by MetalSoft and are not managed via DHCP.
Configuring In-Band Subnets
Section titled “Configuring In-Band Subnets”Follow these steps to create a new In-Band subnet:
- Navigate to
Subnets (In-Band)in the Fabric Manager. - Click on
Add Subnet. - Enter the following details:
NameandLabel- Please use only lowercase letters (a-z), numbers (0-9), and hyphens (-)Scope:Select eitherFabricorGlobalFabric:Select the appropriate fabric of the above selection wasFabricRoute Domain:(Optional) Fill in if requiredParent Subnet:(Optional) Fill in if requiredSubnet:Enter the subnet range
- Click
Nexton the following page. - Pool Selection:
- Select whether the subnet will be a pool (
Is Pool). - If it is not a pool, you must provide the
Default Gateway Address.
- Select whether the subnet will be a pool (
- Enter any
Denylist Rangesas needed.
Configuring OOB Subnets
Section titled “Configuring OOB Subnets”Follow these steps to create a new OOB subnet:
- Navigate to
Subnets (OOB)in the Fabric Manager. - Click on
Add OOB Subnet. - Enter the following details:
NameandLabel- Please use only lowercase letters (a-z), numbers (0-9), and hyphens (-)Site:Select the appropriate siteSubnet:Enter the subnet range
- Click
Next. - Enter the
Default Gateway Address. - Enter any
Denylist Rangesas needed.
Modifying and Managing Subnets
Section titled “Modifying and Managing Subnets”To manage existing subnets, navigate to the respective section (Subnets (In-Band) or Subnets (OOB)). From there, you can perform the following actions:
- View Allocations: See all currently allocated IP addresses within a subnet.
- Denylist Management: Add or modify Denylist ranges.
- Deletion: Click on a specific subnet to delete it if it is no longer required.
Creating subnets via the API
Section titled “Creating subnets via the API”Create an in-band subnet with Denylist
Section titled “Create an in-band subnet with Denylist”curl -X POST "https://<your-server>/api/v2/Subnet/createSubnet" \-H "Content-Type: application/json" \-H "Authorization: Bearer <API_KEY>" \-d '{ "label": "production-inband-subnet", "name": "office-inband-network", }, "tags": { "metalcloud/fabric-id": "1" }, "ipVersion": "ipv4", "networkAddress": "192.168.1.0", "prefixLength": 24, "defaultGatewayAddress": "192.168.1.1", "isPool": false, "allocationDenylist": [ { "startAddress": "192.168.1.10", "endAddress": "192.168.1.20" } "childOverlapAllowRules": []}'Create an OOB band subnet with Denylist
Section titled “Create an OOB band subnet with Denylist”curl -X POST "https://<your-server>/api/v2/Subnet/createSubnet" \-H "Content-Type: application/json" \-H "Authorization: Bearer <API_KEY>" \-d '{ "label": "production-oob-subnet", "name": "office-oob-network", }, "tags": { "metalcloud/oob": "true" "metalcloud/site-id": "1" }, "ipVersion": "ipv4", "networkAddress": "192.168.1.0", "prefixLength": 24, "defaultGatewayAddress": "192.168.1.1", "isPool": false, "allocationDenylist": [ { "startAddress": "192.168.1.10", "endAddress": "192.168.1.20" } "childOverlapAllowRules": []}'